import '../../stencil.core';
import { ConfigService, Wordpress } from '@ema/core';
export declare class AppWordpress {
    config: ConfigService;
    posts: any;
    wordpress: Wordpress;
    loginModal: HTMLElement;
    loading: boolean;
    authenticated: boolean;
    model: any;
    currentPost: any;
    currentPostId: number;
    constructor();
    componentWillLoad(): void;
    componentDidLoad(): void;
    getData(): Promise<void>;
    login(username: any, password: any): void;
    logout(): void;
    onMenuClick(item: any): Promise<void>;
    showLoginModal(): void;
    render(): JSX.Element;
}
